{{- range $key, $val := $.Values.deployment }}
{{- if $val.port }}
apiVersion: v1
kind: Service
metadata:
  name: {{ $.Release.Name }}-{{ $key }}
  labels:
    app: {{ $.Release.Name }}-{{ $key }}
    release: {{ $.Release.Name }}
    version: {{ $.Values.global.version }}
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: {{ $val.port }}
      protocol: TCP
      name: http
  selector:
    app: {{ $.Release.Name }}-{{ $key }}
{{- end }}
{{- end }}
